const Options = {
    SKIP_CLIENT: 'skipClient',
    SKIP_SERVER: 'skipServer',
    NO_FLUENT_METHOD: 'noFluentMethod',
    READ_ONLY: 'readOnly',
    FILTER: 'filter',
    EMBEDDED: 'embedded',
};
const optionNames = Object.values(Options);
Options.forEach = passedFunction => {
    if (!passedFunction) {
        throw new Error('A function has to be passed to loop over the unary options.');
    }
    optionNames.forEach(optionName => {
        passedFunction(optionName);
    });
};
Options.exists = option => Object.values(Options).includes(option);
export default Options;
